oghref_builder 4.1.3 copy "oghref_builder: ^4.1.3" to clipboard
oghref_builder: ^4.1.3 copied to clipboard

A Flutter widget for displaying rich information link with callback action provided.

0
likes
160/ 160
pub points
9%
popularity

We analyzed this package 13 hours ago, and awarded it 160 pub points (of a possible 160):

partial
Follow Dart file conventions
30 / 30trigger folding of the section

10/10 points: Provide a valid pubspec.yaml

Issue tracker URL doesn't exist.

At the time of the analysis https://github.com/rk0cc/oghref/issues was unreachable. Make sure that the website is reachable via HEAD requests.

5/5 points: Provide a valid README.md

5/5 points: Provide a valid CHANGELOG.md

10/10 points: Use an OSI-approved license

Detected license: MIT.

OK
Provide documentation
20 / 20trigger folding of the section

10/10 points: 20% or more of the public API has dartdoc comments

156 out of 158 API elements (98.7 %) have documentation comments.

Some symbols that are missing documentation: testing.Request.headers, testing.Response.isRedirect.

10/10 points: Package has an example

OK
Platform support
20 / 20trigger folding of the section

20/20 points: Supports 6 of 6 possible platforms (iOS, Android, Web, Windows, macOS, Linux)

  • ✓ Android
  • ✓ iOS
  • ✓ Windows
  • ✓ Linux
  • ✓ macOS
  • ✓ Web
OK
Pass static analysis
50 / 50trigger folding of the section

50/50 points: code has no errors, warnings, lints, or formatting issues

OK
Support up-to-date dependencies
40 / 40trigger folding of the section

10/10 points: All of the package dependencies are supported in the latest version

Package Constraint Compatible Latest
flutter flutter 0.0.0 0.0.0
http ^1.1.1 1.2.2 1.2.2
meta ^1.12.0 1.12.0 1.15.0
oghref_model ^3.5.1 3.5.2 3.5.2
url_launcher ^6.2.3 6.3.0 6.3.0
url_launcher_platform_interface ^2.3.1 2.3.2 2.3.2
Transitive dependencies
Package Constraint Compatible Latest
_fe_analyzer_shared - 67.0.0 73.0.0
analyzer - 6.4.1 6.8.0
args - 2.5.0 2.5.0
async - 2.11.0 2.11.0
build - 2.4.1 2.4.1
build_config - 1.1.1 1.1.1
characters - 1.3.0 1.3.0
checked_yaml - 2.0.3 2.0.3
collection - 1.18.0 1.19.0
convert - 3.1.1 3.1.1
crypto - 3.0.3 3.0.3
csslib - 1.0.0 1.0.0
dart_style - 2.3.6 2.3.6
file - 7.0.0 7.0.0
flutter_web_plugins - 0.0.0 0.0.0
freezed_annotation - 2.4.4 2.4.4
glob - 2.1.2 2.1.2
html - 0.15.4 0.15.4
http_parser - 4.0.2 4.1.0
json_annotation - 4.9.0 4.9.0
json_serializable - 6.8.0 6.8.0
logging - 1.2.0 1.2.0
material_color_utilities - 0.8.0 0.12.0
mime_dart - 3.0.0 3.0.0
package_config - 2.1.0 2.1.0
path - 1.9.0 1.9.0
plugin_platform_interface - 2.1.8 2.1.8
pub_semver - 2.1.4 2.1.4
pubspec_parse - 1.3.0 1.3.0
sky_engine - 0.0.99 0.0.99
source_gen - 1.5.0 1.5.0
source_helper - 1.3.4 1.3.4
source_span - 1.10.0 1.10.0
string_scanner - 1.3.0 1.3.0
term_glyph - 1.2.1 1.2.1
typed_data - 1.3.2 1.3.2
url_launcher_android - 6.3.4 6.3.4
url_launcher_ios - 6.3.1 6.3.1
url_launcher_linux - 3.1.1 3.1.1
url_launcher_macos - 3.2.0 3.2.0
url_launcher_web - 2.3.1 2.3.1
url_launcher_windows - 3.1.1 3.1.1
vector_math - 2.1.4 2.1.4
watcher - 1.1.0 1.1.0
web - 0.5.1 1.0.0
yaml - 3.1.2 3.1.2

To reproduce run dart pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

10/10 points: Package supports latest stable Dart and Flutter SDKs

20/20 points: Compatible with dependency constraint lower bounds

pub downgrade does not expose any static analysis error.

Analyzed with Pana 0.22.9, Flutter 3.22.2, Dart 3.4.3.

Check the analysis log for details.

0
likes
160
pub points
9%
popularity

Publisher

verified publisherrk0cc.xyz

A Flutter widget for displaying rich information link with callback action provided.

Repository (GitHub)
View/report issues

Documentation

API reference

Funding

Consider supporting this project:

github.com

License

MIT (license)

Dependencies

flutter, http, meta, oghref_model, url_launcher, url_launcher_platform_interface

More

Packages that depend on oghref_builder